/**
 * Copyright 2020 Inrupt Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 * Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
import { JssStyle, Styles } from "jss";
import { FontSet } from "./font";
export declare enum IconSetType {
    FontAwesome = 0
}
export interface IconSetConfiguration {
    name: string;
    label: string;
    type: IconSetType;
    npmModule: string;
    cssFiles: string[];
    fonts?: Array<FontSet>;
}
export interface IconStyles extends Styles {
    "icon-add": JssStyle;
    "icon-app": JssStyle;
    "icon-audio": JssStyle;
    "icon-back": JssStyle;
    "icon-calendar": JssStyle;
    "icon-cancel": JssStyle;
    "icon-caret-down": JssStyle;
    "icon-caret-left": JssStyle;
    "icon-caret-right": JssStyle;
    "icon-caret-up": JssStyle;
    "icon-chat": JssStyle;
    "icon-check": JssStyle;
    "icon-company": JssStyle;
    "icon-contact": JssStyle;
    "icon-copyright": JssStyle;
    "icon-delete": JssStyle;
    "icon-doc": JssStyle;
    "icon-edit": JssStyle;
    "icon-email": JssStyle;
    "icon-error": JssStyle;
    "icon-event": JssStyle;
    "icon-external-link": JssStyle;
    "icon-file": JssStyle;
    "icon-files": JssStyle;
    "icon-folder": JssStyle;
    "icon-home": JssStyle;
    "icon-inbox": JssStyle;
    "icon-info": JssStyle;
    "icon-image": JssStyle;
    "icon-listen": JssStyle;
    "icon-location": JssStyle;
    "icon-log-in": JssStyle;
    "icon-log-out": JssStyle;
    "icon-more": JssStyle;
    "icon-move": JssStyle;
    "icon-next": JssStyle;
    "icon-notification": JssStyle;
    "icon-pdf": JssStyle;
    "icon-phone": JssStyle;
    "icon-play": JssStyle;
    "icon-presentation": JssStyle;
    "icon-previous": JssStyle;
    "icon-public": JssStyle;
    "icon-remove": JssStyle;
    "icon-search": JssStyle;
    "icon-settings": JssStyle;
    "icon-settings-alt": JssStyle;
    "icon-share": JssStyle;
    "icon-spreadsheet": JssStyle;
    "icon-star": JssStyle;
    "icon-table": JssStyle;
    "icon-tag": JssStyle;
    "icon-todo": JssStyle;
    "icon-trademark": JssStyle;
    "icon-upload": JssStyle;
    "icon-user": JssStyle;
    "icon-users": JssStyle;
    "icon-warning": JssStyle;
    "icon-webid": JssStyle;
}
