/**
 * Copyright 2020 Inrupt Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 * Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
import { Styles, StyleSheet } from "jss";
import { CreatePrismThemeOptions, PrismTheme, ThemeConfiguration } from "./theme";
import actionMenu from "./actionMenu";
import appLayout from "./appLayout";
import avatar from "./avatar";
import avatarGroup from "./avatarGroup";
import badge from "./badge";
import breadcrumb from "./breadcrumb";
import button from "./button";
import container from "./container";
import content from "./content";
import drawer from "./drawer";
import drawerContainer from "./drawerContainer";
import fluidGrid from "./fluidGrid";
import footer from "./footer";
import form from "./form";
import header from "./header";
import headerBanner from "./headerBanner";
import icons from "./icons";
import image from "./image";
import input from "./input";
import mainNav from "./mainNav";
import loadingIndicator from "./loadingIndicator";
import select from "./select";
import staticGrid from "./staticGrid";
import table from "./table";
import typography from "./typography";
import { PatternConfiguration } from "./patterns";
export { IconSetType } from "./icon";
export type { IconSetConfiguration } from "./icon";
export type { PatternConfiguration } from "./patterns";
export { bem, useBem } from "./styles";
export { actionMenu, appLayout, avatar, avatarGroup, badge, breadcrumb, button, container, content, drawer, drawerContainer, staticGrid, fluidGrid, footer, form, header, headerBanner, icons, input, image, mainNav, loadingIndicator, select, table, typography, };
export declare function createTheme(configuration: ThemeConfiguration, options?: Partial<CreatePrismThemeOptions>, ...args: object[]): PrismTheme;
interface CreateStyleSheetOptions {
    insertionPoint?: HTMLElement;
}
export declare function createStylesheet(themeConfig: ThemeConfiguration, patternsToLoad?: string[], options?: CreateStyleSheetOptions): StyleSheet;
export declare function createStyles(theme: PrismTheme, patternsToLoad: string[], customStyles?: Styles): Styles;
export declare function getPatterns(): Array<PatternConfiguration>;
export type { IconStyles } from "./icon";
export type { ThemeIcons, ThemeConfiguration, PrismTheme } from "./theme";
